{{ if .Values.storageClass.create -}}
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  labels:
    app: {{ template "nfs-client-provisioner.name" . }}
    chart: {{ template "nfs-client-provisioner.chart" . }}
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
  name: {{ .Values.storageClass.name }}
{{- if .Values.storageClass.defaultClass }}
  annotations:
    storageclass.kubernetes.io/is-default-class: "true"
{{- end }}
provisioner: {{ template "nfs-client-provisioner.provisionerName" . }}
allowVolumeExpansion: {{ .Values.storageClass.allowVolumeExpansion }}
reclaimPolicy: {{ .Values.storageClass.reclaimPolicy }}
parameters:
  archiveOnDelete: "{{ .Values.storageClass.archiveOnDelete }}"
{{- if .Values.nfs.mountOptions }}
mountOptions:
  {{- range .Values.nfs.mountOptions }}
  - {{ . }}
  {{- end }}
{{- end }}
{{ end -}}
